/*---------------------------------------------------------------------------*
  Project:  NitroSDK - stubs - cw
  File:     interworking.c

  Copyright 2003,2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: interworking.c,v $
  Revision 1.1  2004/02/25 09:13:11  yasu
  added interworking code for CW

  $NoKeywords: $
 *---------------------------------------------------------------------------*/
// Workaround for Interworking with CodeWarrior 

void __call_via_r0( void );
void __call_via_r1( void );
void __call_via_r2( void );
void __call_via_r3( void );
void __call_via_r4( void );
void __call_via_r5( void );
void __call_via_r6( void );
void __call_via_r7( void );

__declspec( weak ) asm void __call_via_r0( void ){ bx r0 }
__declspec( weak ) asm void __call_via_r1( void ){ bx r1 }
__declspec( weak ) asm void __call_via_r2( void ){ bx r2 }
__declspec( weak ) asm void __call_via_r3( void ){ bx r3 }
__declspec( weak ) asm void __call_via_r4( void ){ bx r4 }
__declspec( weak ) asm void __call_via_r5( void ){ bx r5 }
__declspec( weak ) asm void __call_via_r6( void ){ bx r6 }
__declspec( weak ) asm void __call_via_r7( void ){ bx r7 }
